#ifndef DATA_SAFE
#define DATA_SAFE

#include <stdlib.h>
#include <stdio.h>

#define ds_register 0
#define ds_store    1
#define ds_retrieve 2
#define ds_delete   3
#define DS_Operation int

/* Better alternative, but not yet introduced when the assignment was
   given: 
  
typedef enum
{
  ds_register,
  ds_store,
  ds_retrieve,
  ds_delete
}DS_Operation;

*/

#define CONCURRENT_KEYS 100    /* How many keys can be in use? */
#define DATA_SAFE_SIZE  10000  /* How many value can be stored? */

/* Prototype ("header") for the data_safe() function */

int data_safe(DS_Operation method, int key, int value_or_index);

#endif
