#include "data_safe.h"


int main(void)
{
   int key1, key2, key3, value;

   key1 = data_safe(ds_register,0,0);
   printf("Key1 is %d\n", key1);
   data_safe(ds_store,key1,1);
   data_safe(ds_store,key1,2);
   data_safe(ds_store,key1,3);

   key2 = data_safe(ds_register,0,0);
   printf("Key2 is %d\n", key2);

   data_safe(ds_store,key1,4);
   
   data_safe(ds_store,key2,101);
   data_safe(ds_store,key2,102);

   value = data_safe(ds_retrieve, key1, 2);
   printf("Entry %d for key %d is %d\n", 2, key1, value);

   value = data_safe(ds_retrieve, key1, 19);
   printf("Entry %d for key %d is %d\n", 19, key1, value);
   
   key3 = data_safe(ds_register,0,0);
   printf("Key3 is %d\n", key3);

   data_safe(ds_store,key3,1001);
   data_safe(ds_store,key3,1002);
   data_safe(ds_store,key3,1003);

   data_safe(ds_delete, key1, 0);

   data_safe(ds_store,key3,1004);
   data_safe(ds_store,key3,1005);
   data_safe(ds_store,key3,1006);

   value = data_safe(ds_retrieve, key1, 1);
   printf("Entry %d for key %d is %d\n", 1, key1, value);

   value = data_safe(ds_retrieve, key3, 4);
   printf("Entry %d for key %d is %d\n", 4, key3, value);
 

   return EXIT_SUCCESS;
}
